<%= form_tag "sessions" do %>
    <div class="card mb-3">
      <div class="card-body">
        <div class="pt-4 pb-2">
          <h5 class="card-title text-center pb-0 fs-4">Login to Your Account</h5>
          <p class="text-center small">Enter your username & password to login</p>
        </div>

        <%= hidden_field_tag :url, @url %>

        <div class="col-12 mb-3">
          <div class="input-group has-validation">
            <span class="input-group-text" id="inputGroupPrepend">@</span>
            <%= text_field_tag :email, params[:email], {:class => "form-control", :placeholder=>"Email"} %>
          </div>
        </div>

        <div class="col-12 mb-3">
          <%= password_field_tag :password, nil, {:class => "form-control", :placeholder=>"Password"}%>
        </div>

        <div class="col-12 mb-1">
          <%= submit_tag "Login", {:class => "btn btn-primary w-100"} %>
        </div>

        <div class="col-12">
          <p class="small mb-0">Don't have account?   <%= link_to "Create an account", signup_path %> </p>
        </div>
      </div>
    </div>
<% end %>

<% if flash.count > 0%>
  <div class="alert alert-warning alert-dismissible fade show" role="alert">
    <i class="bi bi-exclamation-octagon me-1"></i>
    <% flash.each do |type, msg| %>
      <%= msg %>
    <% end %>
    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
  </div>
<% end %>